This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 895881 - 'Restore Defaults' in editor options does not properly restore defaults
'Restore Defaults' in editor options does not properly restore defaults
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
2.1
Unspecified Unspecified
medium Severity low
: ---
: 3.7
Assigned To: Alex Eng
Ding-Yi Chen
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 03:21 EST by David Mason
Modified: 2015-07-21 22:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3294)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 22:19:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-01-16 03:21:19 EST
Description of problem:
'Restore Defaults' button in editor options works properly for some options, but not for others. CodeMirror Editor and Page Size options appear to be restored to default but the restored settings are not applied. Spell Check and Optional Trans Unit Details options are not affected by Restore Defaults.


Version-Release number of selected component (if applicable):
2.1 (release candidate)

How reproducible:
Always

Steps to Reproduce:
1.Open editor with any document that has more than 5 text flows
2.Change all editor options from their default state, setting page size to 5.
3.Click 'Restore Defaults'
  
Actual results:
Page size option shows 25, but only 5 entries are shown in the editor table, codemirror editor option is not checked but codemirror editor is still shown, spell check and optional trans unit detail options are not in their default state. All other options are in their default state.



Expected results:
All options are in their default state and the options are applied in the editor.

Additional info:
Comment 1 Damian Jansen 2014-07-27 21:28:55 EDT
Tested 3.5.0-SNAPSHOT (git-server-3.4.2-201-ge0afdde), still an issue
Comment 2 Alex Eng 2015-04-15 17:32:54 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/774
Comment 3 Ding-Yi Chen 2015-04-22 00:36:48 EDT
VERIFIED with Zanata 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3294)

Note You need to log in before you can comment on or make changes to this bug.